# Interface FixedPrimitiveNumLayoutItem<T, Signed>

#### Type Parameters

- #### T extends NumType

- #### Signed extends Boolean

#### Hierarchy

- NumLayoutItemBase<T, Signed>
- FixedPrimitiveCustom<T>
  - FixedPrimitiveNumLayoutItem

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:34

#####
Index

### Properties

binary
custom
endianness?
omit?
size

## Properties

### `Readonly` binary

binary: Signed extends true
? "int"
: "uint"

Inherited from NumLayoutItemBase.binary

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:21

### custom

custom: T

Inherited from FixedPrimitiveCustom.custom

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:24

### `Optional` endianness

endianness?: Endianness

Inherited from NumLayoutItemBase.endianness

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:32

### `Optional` omit

omit?: boolean

Inherited from FixedPrimitiveCustom.omit

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:25

### size

size: T extends bigint
? number
: NumberSize

Inherited from NumLayoutItemBase.size

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:31

Generated using TypeDoc